Skip to main content

Get All Player Deserters

GET 

/session/v1/player/:player_uuid/deserter

Get a specific player's deserter status

Request

Path Parameters

    player_uuid uuidrequired

Responses

Successful Response

Schema

    deserter_statuses

    object[]

    required

    List of all of a player's deserter statuses.

  • Array [

  • deserter_id Deserter Id (string)required

    ID for which type of deserter this is

    deserter_status Deserter Status (boolean)required

    Flag of whether or not the player is a deserter

    deserter_expiration date-time

    Datetime that enforces that a timezone is given. Unix timestamps are allowed and forced into the UTC time zone

    deserter_reset date-time

    Datetime that enforces that a timezone is given. Unix timestamps are allowed and forced into the UTC time zone

    deserter_count Deserter Count (integer)

    Default value: 0

    The number of times a player has deserted before the expiration

    last_updated date-time

    Datetime that enforces that a timezone is given. Unix timestamps are allowed and forced into the UTC time zone

    custom_data

    object

    Custom data about a players desertion status

    property name* string
  • ]

Loading...